#/usr/bin/bash

# setup_ssh_local.sh adds key from each node to enable login without
# password.

echo 'Copying authorized keys.'
while IFS='' read -r line || [[ -n "$line" ]]; do
    echo $line
    cat ~/.ssh/id_rsa.pub | ssh -n root@$line 'cat >> ~/.ssh/authorized_keys'
done < "/tmp/nodes"
