#!/usr/bin/python

import subprocess
#from subprocess import call

class NFCollector:
    """
    Wrapps starting and stopping of netflow collectors.
    """
    _nodes_path = None
    _output_path = None
    
    def __init__(self, nodes_path, output_path):
        self._nodes_path = nodes_path
        self._output_path = output_path


    def start_collectors(self):
        """
        Starts the netflow collector.
        """
        subprocess.call("../environment/stop_nfcapd.sh %s" % self._nodes_path, shell=True)
        subprocess.call("../environment/start_nfcapd.sh %s %s" % (self._nodes_path, self._output_path), shell=True)

    def stop_collectors(self):
        """
        Stops the netflow collector.
        """
        subprocess.call("../environment/stop_nfcapd.sh %s" % self._nodes_path, shell=True)

